From mboxrd@z Thu Jan  1 00:00:00 1970
From: Yashraj Moghe <yashraj.moghe@gmail.com>
Content-Type: multipart/alternative;
 boundary="------------TrcN1DDVs6vGOUG8nQQbzRLt"
Message-ID: <693b167f-c48f-461a-88e7-c187aff8ece5@gmail.com>
Date: Sat, 10 Aug 2024 00:43:36 +0530
MIME-Version: 1.0
Subject: Re: action messages not being displayed
To: june <june@causal.agency>
Cc: list@causal.agency
References: <af10957c-e3d4-417f-a454-22ef2d8a56af@gmail.com>
 <028F8AE4-3C27-435C-8C9F-EC27B3DC2948@causal.agency>
In-Reply-To: <028F8AE4-3C27-435C-8C9F-EC27B3DC2948@causal.agency>

This is a multi-part message in MIME format.
--------------TrcN1DDVs6vGOUG8nQQbzRLt
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

I tried compiling now, with gcc I got several more errors and 
unrecognized flags, I assume it would be better to use clang? tried 
that, more errors in compiling, I'll report here because I do not have 
much experience with C programs, my apologies.

|cc -std=c11 -Wall -Wextra -Wpedantic -Wmissing-prototypes 
-Wno-gnu-case-range -Wno-gnu-conditional-omitted-operand   -c -o 
buffer.o buffer.c
In file included from buffer.c:38:
./chat.h:132:20: error: call to undeclared function 'strdup'; ISO C99 
and later do not support implicit function declarations 
[-Wimplicit-function-declaration]
         idNames[idNext] = strdup(name);
                           ^
./chat.h:132:20: note: did you mean 'strcmp'?
/usr/include/string.h:156:12: note: 'strcmp' declared here
extern int strcmp (const char *__s1, const char *__s2)
            ^
In file included from buffer.c:38:
./chat.h:132:18: error: incompatible integer to pointer conversion 
assigning to 'char *' from 'int' [-Wint-conversion]
         idNames[idNext] = strdup(name);
                         ^ ~~~~~~~~~~~~
./chat.h:223:11: error: call to undeclared function 'strdup'; ISO C99 
and later do not support implicit function declarations 
[-Wimplicit-function-declaration]
         *field = strdup(value);
                  ^
./chat.h:223:9: error: incompatible integer to pointer conversion 
assigning to 'char *' from 'int' [-Wint-conversion]
         *field = strdup(value);
                ^ ~~~~~~~~~~~~~
buffer.c:109:14: error: call to undeclared function 'strdup'; ISO C99 
and later do not support implicit function declarations 
[-Wimplicit-function-declaration]
         line->str = strdup(soft->str);
                     ^
buffer.c:109:12: error: incompatible integer to pointer conversion 
assigning to 'char *' from 'int' [-Wint-conversion]
         line->str = strdup(soft->str);
                   ^ ~~~~~~~~~~~~~~~~~
buffer.c:141:14: error: call to undeclared function 'wcwidth'; ISO C99 
and later do not support implicit function declarations 
[-Wimplicit-function-declaration]
                 } else if (wcwidth(wc) > 0) {
                            ^
buffer.c:211:14: error: call to undeclared function 'strdup'; ISO C99 
and later do not support implicit function declarations 
[-Wimplicit-function-declaration]
         soft->str = strdup(str);
                     ^
buffer.c:211:12: error: incompatible integer to pointer conversion 
assigning to 'char *' from 'int' [-Wint-conversion]
         soft->str = strdup(str);
                   ^ ~~~~~~~~~~~
9 errors generated.
make: *** [<builtin>: buffer.o] Error 1|

I hope I am not missing something obvious here that I could have solved 
on my own|.|

Regards,
disaster2life

On 08/08/24 19:40, june wrote:
>> On Aug 8, 2024, at 07:18, Yashraj Moghe<yashraj.moghe@gmail.com> wrote:
>>
>> Heya!
>>
>> I am pretty new to catgirl, I only learnt about it and started using it less than a week or two ago, and when I started using it everything seemed to work perfectly, and now any sort of action messages seemed to have stopped working at all, whether I am using catgirl from config files I wrote, or just opening up an irc chat window from the CLI, I can't get any action messages to display, I checked with me chat logs and those seem to properly have action messages, they just won't display, I've tested different networks, different terminal emulators, and different colour themes on terminal emulators, its weird and I think its above my skill level to delve into C code to figure out whats broken, any help would be appreciated because I really like the rest of the irc client and would like to also set up the rest of the suite.
>>
>> For general other information, I am running Debian Sid, catgirl is installed via the Debian Repository, apt reports the version to be 2.2-1+b, I am using blackbox as my terminal emulator but the problem seems to also occur on at least gnome-terminal.
> I wonder if this fix[1] in 2.2a solves the issue? could you try compiling from git and seeing if that works?
>
> [1]:https://git.causal.agency/catgirl/commit/?id=492b7f7b9406b8e460c4a64aed45c70a8a8e152d
>
--------------TrcN1DDVs6vGOUG8nQQbzRLt
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 8bit

<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <p>I tried compiling now, with gcc I got several more errors and
      unrecognized flags, I assume it would be better to use clang?
      tried that, more errors in compiling, I'll report here because I
      do not have much experience with C programs, my apologies.</p>
    <p><code>cc -std=c11 -Wall -Wextra -Wpedantic -Wmissing-prototypes
        -Wno-gnu-case-range -Wno-gnu-conditional-omitted-operand   -c -o
        buffer.o buffer.c<br>
        In file included from <a class="moz-txt-link-freetext" href="buffer.c:38">buffer.c:38</a>:<br>
        ./<a class="moz-txt-link-freetext" href="chat.h:132:20">chat.h:132:20</a>: error: call to undeclared function 'strdup';
        ISO C99 and later do not support implicit function declarations
        [-Wimplicit-function-declaration]<br>
                idNames[idNext] = strdup(name);<br>
                                  ^<br>
        ./<a class="moz-txt-link-freetext" href="chat.h:132:20">chat.h:132:20</a>: note: did you mean 'strcmp'?<br>
        /usr/include/<a class="moz-txt-link-freetext" href="string.h:156:12">string.h:156:12</a>: note: 'strcmp' declared here<br>
        extern int strcmp (const char *__s1, const char *__s2)<br>
                   ^<br>
        In file included from <a class="moz-txt-link-freetext" href="buffer.c:38">buffer.c:38</a>:<br>
        ./<a class="moz-txt-link-freetext" href="chat.h:132:18">chat.h:132:18</a>: error: incompatible integer to pointer
        conversion assigning to 'char *' from 'int' [-Wint-conversion]<br>
                idNames[idNext] = strdup(name);<br>
                                ^ ~~~~~~~~~~~~<br>
        ./<a class="moz-txt-link-freetext" href="chat.h:223:11">chat.h:223:11</a>: error: call to undeclared function 'strdup';
        ISO C99 and later do not support implicit function declarations
        [-Wimplicit-function-declaration]<br>
                *field = strdup(value);<br>
                         ^<br>
        ./<a class="moz-txt-link-freetext" href="chat.h:223:9">chat.h:223:9</a>: error: incompatible integer to pointer
        conversion assigning to 'char *' from 'int' [-Wint-conversion]<br>
                *field = strdup(value);<br>
                       ^ ~~~~~~~~~~~~~<br>
        <a class="moz-txt-link-freetext" href="buffer.c:109:14">buffer.c:109:14</a>: error: call to undeclared function 'strdup';
        ISO C99 and later do not support implicit function declarations
        [-Wimplicit-function-declaration]<br>
                line-&gt;str = strdup(soft-&gt;str);<br>
                            ^<br>
        <a class="moz-txt-link-freetext" href="buffer.c:109:12">buffer.c:109:12</a>: error: incompatible integer to pointer
        conversion assigning to 'char *' from 'int' [-Wint-conversion]<br>
                line-&gt;str = strdup(soft-&gt;str);<br>
                          ^ ~~~~~~~~~~~~~~~~~<br>
        <a class="moz-txt-link-freetext" href="buffer.c:141:14">buffer.c:141:14</a>: error: call to undeclared function 'wcwidth';
        ISO C99 and later do not support implicit function declarations
        [-Wimplicit-function-declaration]<br>
                        } else if (wcwidth(wc) &gt; 0) {<br>
                                   ^<br>
        <a class="moz-txt-link-freetext" href="buffer.c:211:14">buffer.c:211:14</a>: error: call to undeclared function 'strdup';
        ISO C99 and later do not support implicit function declarations
        [-Wimplicit-function-declaration]<br>
                soft-&gt;str = strdup(str);<br>
                            ^<br>
        <a class="moz-txt-link-freetext" href="buffer.c:211:12">buffer.c:211:12</a>: error: incompatible integer to pointer
        conversion assigning to 'char *' from 'int' [-Wint-conversion]<br>
                soft-&gt;str = strdup(str);<br>
                          ^ ~~~~~~~~~~~<br>
        9 errors generated.<br>
        make: *** [&lt;builtin&gt;: buffer.o] Error 1</code></p>
    <p>I hope I am not missing something obvious here that I could have
      solved on my own<code><var>.</var></code></p>
    <address>Regards,<br>
      disaster2life<br>
    </address>
    <div class="moz-cite-prefix">On 08/08/24 19:40, june wrote:<br>
    </div>
    <blockquote type="cite"
      cite="mid:028F8AE4-3C27-435C-8C9F-EC27B3DC2948@causal.agency">
      <blockquote type="cite">
        <pre wrap="" class="moz-quote-pre">On Aug 8, 2024, at 07:18, Yashraj Moghe <a class="moz-txt-link-rfc2396E" href="mailto:yashraj.moghe@gmail.com">&lt;yashraj.moghe@gmail.com&gt;</a> wrote:

Heya!

I am pretty new to catgirl, I only learnt about it and started using it less than a week or two ago, and when I started using it everything seemed to work perfectly, and now any sort of action messages seemed to have stopped working at all, whether I am using catgirl from config files I wrote, or just opening up an irc chat window from the CLI, I can't get any action messages to display, I checked with me chat logs and those seem to properly have action messages, they just won't display, I've tested different networks, different terminal emulators, and different colour themes on terminal emulators, its weird and I think its above my skill level to delve into C code to figure out whats broken, any help would be appreciated because I really like the rest of the irc client and would like to also set up the rest of the suite.

For general other information, I am running Debian Sid, catgirl is installed via the Debian Repository, apt reports the version to be 2.2-1+b, I am using blackbox as my terminal emulator but the problem seems to also occur on at least gnome-terminal.
</pre>
      </blockquote>
      <pre wrap="" class="moz-quote-pre">
I wonder if this fix[1] in 2.2a solves the issue? could you try compiling from git and seeing if that works?

[1]: <a class="moz-txt-link-freetext" href="https://git.causal.agency/catgirl/commit/?id=492b7f7b9406b8e460c4a64aed45c70a8a8e152d">https://git.causal.agency/catgirl/commit/?id=492b7f7b9406b8e460c4a64aed45c70a8a8e152d</a>

</pre>
    </blockquote>
  </body>
</html>

--------------TrcN1DDVs6vGOUG8nQQbzRLt--

